MODULE KermitError ;
 
 
 
EXPORTS
 
IMPORTS KermitGlobals      FROM KermitGlobals ;


PROCEDURE ErrorMsg(msg:MsgString ) ;
PROCEDURE ErrorInt( msg:MsgString; n: Integer ) ;
PROCEDURE ErrorStr( str: istring ) ;
PROCEDURE DebugPacket(mes : MsgString;
                      VAR p : Ppack);
PROCEDURE Verbose(c:MsgString);
 

PRIVATE
 
IMPORTS Screen          FROM Screen ;
 
 
PROCEDURE ErrorMsg(msg:MsgString ) ;
   (* output literal preceeded by NEWLINE *)
   (* to the PERQ error window  -pt*)
   BEGIN (*-ErrorMsg-*)
      ChangeWindow( ErrorWindow ) ;
      Writeln ;
      Write( msg ) ;
      ChangeWindow( KermitWindow )
   END; (*-ErrorMsg-*)
 
PROCEDURE ErrorInt( msg:MsgString; n: Integer ) ;
   (* Output a number preceeded by a message *)
   (* to the PERQ error window  -pt*)
   BEGIN (*-ErrorInt-*)
      ChangeWindow( ErrorWindow ) ;
      Writeln ;
      Write( msg, n:1 ) ;
      ChangeWindow( KermitWindow )
   END; (*-ErrorInt-*)
 
PROCEDURE ErrorStr( str: istring ) ;
   (* Output a "istring" to the error window *)
   VAR i: Integer ;
   BEGIN (*-ErrorStr-*)
      ChangeWindow( ErrorWindow ) ;
      i := 1 ;
      WHILE str[i] <> ENDSTR DO
        BEGIN
           IF (str[i] = LF) THEN Writeln
           ELSE Write(  Chr(str[i])  ) ;
           i := i + 1
        END ;
      ChangeWindow( KermitWindow )
   END ; (*-ErrorStr-*)
 
 
PROCEDURE DebugPacket(mes : MsgString;
                       VAR p : Ppack);
   (* Print Debugging Info, into the error window -pt*)
   VAR
      i: Integer ;   (* index into data field -pt*)
   BEGIN        (*-DebugPacket-*)
      ChangeWindow( ErrorWindow ) ;  (* Print all this in error window -pt*)
      Writeln ;
      Write(mes);
      WITH Buf[p] DO
         BEGIN
            Write( '(count:', count-#40:1 ) ; (* local "UnChar" *)
            Write( ') (seq:', seq-#40:1 ) ;
            Writeln( ') (type:',  Chr(ptype), ')' );
            (* Write out the data field, straight to the screen -pt*)
            i := 1 ;
            WHILE (data[i] <> ENDSTR) DO
               BEGIN
                  Write( Chr(data[i]) ) ;
                  i := i + 1
               END ;
            Writeln ;
            (* done -pt*)
         END;
      ChangeWindow( KermitWindow )  (* back to kermit -pt*)
   END;         (*-DebugPacket-*)
 
 
PROCEDURE Verbose(c:MsgString);
   (* Print writeln if verbosity *)
   BEGIN
      IF Verbosity THEN ErrorMsg(c);
   END.

